Manage checks.
Operations
getCheck
Retrieves a check.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckPOST /nexum/627/2022.01/check/getCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckSelectFields
Retrieves a check with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckSelectFieldsPOST /nexum/627/2022.01/check/getCheckSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckSelectFieldsFilterChildren
Retrieves a check with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckSelectFieldsFilterChildrenPOST /nexum/627/2022.01/check/getCheckSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFields": true
},
"ChildrenSearchFilter": {
"CheckFmHistoryFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckFmHistoryPagedList
Retrieves a paged list of check FM history.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/check/getCheckFmHistoryPagedListPOST /nexum/627/2022.01/check/getCheckFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckFmHistoryListSelectFields
Retrieves a list of check FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckFmHistoryListSelectFieldsPOST /nexum/627/2022.01/check/getCheckFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCheckFmHistorySelectFields
Searches check FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/searchCheckFmHistorySelectFieldsPOST /nexum/627/2022.01/check/searchCheckFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}